function IR=impulseresponAR2_RRMR_trial(A,tauu,taua,tauant,lu,la)
%global lu la 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Unanticipated effects
cumefu=zeros(lu,1);
cumefu(1)=tauu(1);
cumefu(2)=tauu(1)*A(1)+tauu(2);
for i=3:lu
    cumefu(i)=tauu(i)+A(1)*cumefu(i-1)+A(2)*cumefu(i-2);
end
% Compute cummulated response to have the IRF on EA
IR.RR=cumsum(cumefu);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Implementation delayed effects
cumefa=zeros(la,1);
cumefa(1)=taua(1);
cumefa(2)=taua(1)*A(1)+taua(2);
for i=3:la
    cumefa(i)=taua(i)+A(1)*cumefa(i-1)+A(2)*cumefa(i-2);
end
%%%% Anticipation effects
cumefant=flip(tauant);
MRant = [cumefant;cumefa];
IR.MRant = cumsum(MRant);

end