function IR=impulseresponAR2_nolin_trial(A,tauu,taua,tauantrise,tauantcut,prise,pcut,lu,la)
%global lu la 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Unanticipated effects
% Plot cummulative Effects 
cumefu=zeros(lu,1);
cumefu(1)=tauu(1);
cumefu(2)=tauu(1)*A(1)+tauu(2);
for i=3:lu
    cumefu(i)=tauu(i)+A(1)*cumefu(i-1)+A(2)*cumefu(i-2);
end
% Compute cummulated response to have the IRF on EA
IR.RR=cumsum(cumefu);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Implementation delayed effects
cumefa=zeros(la,1);
cumefa(1)=taua(1);
cumefa(2)=taua(1)*A(1)+taua(2);
for i=3:la
    cumefa(i)=taua(i)+A(1)*cumefa(i-1)+A(2)*cumefa(i-2);
end
IR.MRa=cumsum(cumefa);
%%%% Anticipation effects
cumefantrise=flip(tauantrise);
cumefantcut=flip(tauantcut);

IR.MRrise =cumsum(cumefantrise);
IR.MRcut =cumsum(cumefantcut);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Media effects
IR.Medrise=flip(prise);
IR.Medcut=flip(pcut);
IR.Medrise=cumsum(IR.Medrise);
IR.Medcut=cumsum(IR.Medcut);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Tax Multiplier for Delayed tax changes
efrise = [flip(prise)/2;cumefantrise;cumefa];
efcut = [flip(pcut)/2;cumefantcut;-1*cumefa];
IR.taxmrise_del = cumsum(efrise);
IR.taxmcut_del = cumsum(efcut);

%Tax Multiplier for On-time tax changes
efrise = [flip(prise)/2;cumefu];
efcut = [flip(pcut)/2;-1*cumefu];
IR.taxmrise = cumsum(efrise);
IR.taxmcut = cumsum(efcut);
end