function [Rs,Qs,Hs,Fs,Gs]=matrices_taxshocks(z)
          global vfq vector;
           %-----------------------------------------------------------------
           %       Procedure to obtain Kalman matrices
           %---------------------------------------------------------------
    
           Rs=ones(1,5);                   % Empty matrix (1 x 5)
            Hs = [[vector'*vfq vector' zeros(1,8)]; [z(2:5) zeros(4,9) [[1 0 0 0 0 0 0 0];[0 0 1 0 0 0 0 0];[0 0 0 0 1 0 0 0];[0 0 0 0 0 0 1 0]]]];
                    
        z0=z(6:7);
        z1=z(8:9);
        z2=z(10:11);
        z3=z(12:13);
        z4=z(14:15);
        z5=z(16:17);
        
        f1=[z0' zeros(1,16)];                % Manually creating rows of matrix F
        f1a=[eye(4) zeros(4,14)];   
        f2=[zeros(1,5) z1' zeros(1,11)];
        f2a=[zeros(4,5) eye(4) zeros(4,9)];
        f3=[zeros(1,10) z2' zeros(1,6)];    
        f3a=[zeros(1,10) 1 zeros(1,7)];
        f4=[zeros(1,12) z3' zeros(1,4)];
        f4a=[zeros(1,12) 1 zeros(1,5)];
        f5=[zeros(1,14) z4' zeros(1,2)];
        f5a=[zeros(1,14) 1 zeros(1,3)];
        f6=[zeros(1,16) z5'];
        f6a=[zeros(1,16) 1 zeros(1,1)];
        
        Fs=[f1;f1a;f2;f2a;f3;f3a;f4;f4a;f5;f5a;f6;f6a]; % Concatanating matrix Fs

        g1=z(23:end)';                  
        grest=zeros(17,size(g1,2));
        Gs=[g1;grest]; % Tax AND Anticipation Effects
   
z2=[z(1) 0 0 0 0 z(18) 0 0 0 0 z(19) 0 z(20) 0 z(21) 0 z(22) 0];     
z2=z2.^2;
   Qs=diag(z2);
   
end
