# -*- coding: utf-8 -*-
"""
Created on Mon Mar 29 17:11:30 2021

@author: Sandra García-Uribe
@paper: The Effects of Tax Changes on Economic Activity: A Narrative Approach to Frequent Anticipations

EXECUTES STAGE 2: NEWS UNIVERSE PROCESSING
"""

ORPATH='C:\TRABAJO\Working papers\Narrative_anticipations\replication package' #Indicate the full path where "replication package is"
EXPATH='\data_mining\\cleaned_data'
ROUTE = '\data_mining\\news_universe'
import os
from datetime import datetime

startTime=datetime.now()
os.chdir(ORPATH+ROUTE) 
print startTime
execfile('vanderbildataset_nocongresman.py')
print datetime.now() - startTime                    

startTime=datetime.now()
os.chdir(ORPATH+ROUTE) 
print startTime
execfile('allvanderbilt_base.py')
print datetime.now() - startTime                    

startTime=datetime.now()
os.chdir(ORPATH+ROUTE) 
print startTime
execfile('rf_dataprocessing.py')
print datetime.now() - startTime                    


startTime=datetime.now()
os.chdir(ORPATH+ROUTE) 
print startTime
execfile('rf_dataprocessing_allvdtv.py')
print datetime.now() - startTime                    

startTime=datetime.now()
os.chdir(ORPATH+ROUTE) 
print startTime
execfile('rf_dataprocessing_robustness.py')
print datetime.now() - startTime                    
