*Relate Congress Activity with EA*
clear
eststo clear
* Annual real GDP (2012 chained prices) no-SA
import delimited "data/Congressional Activity/GDPCA.csv"
gen year = _n+1928
sort year
gen ygrowth = (log(gdpca[_n])-log(gdpca[_n-1]))*100
gen bygrowth= (log(gdpca[_n])-log(gdpca[_n-2]))*100

save "analysis/cong_activitivity_endogeneity/gdp_data.dta", replace

import excel "data/Congressional Activity/cong_activity.xlsx", sheet("Hoja1") firstrow clear
sort year
merge year using "analysis/cong_activitivity_endogeneity/gdp_data.dta"
********************************************************************************
/*overall voting activity and economic activity*/
********************************************************************************
gen ltvotes = log(TotalVotes)
eststo: reg ltvotes ygrowth

bys CongresID: gen newobs=_n==1
gen lall=log(TotalLegActivity)
gen lenacted=log(TotalLawsEnacted)
eststo: reg lall bygrowth if newobs==1
reg lenacted bygrowth if newobs==1

********************************************************************************
/*Taxation activity and economic activity (biannual analysis)*/
************** ******************************************************************
gen ltaxationall = log(Taxationall)
gen ltaxationenacted=log(Taxationenacted)
gen ltaxall=log(Taxrelatedall)
gen ltaxenacted=log(Taxrelatedenacted)

gen shtaxall = Taxrelatedall/TotalLegActivity*100
gen shtaxenacted = Taxationenacted/Taxationall*100
gen shtaxation = Taxationall/TotalLegActivity*100
gen shtaxationenacted = Taxationenacted/Taxationall*100
gen shenacted=TotalLawsEnacted/TotalLegActivity*100


reg ltaxationall bygrowth if newobs==1
reg ltaxationenacted bygrowth if newobs==1
reg ltaxall bygrowth if newobs==1
reg ltaxenacted bygrowth if newobs==1
reg lall bygrowth if newobs==1
reg lenacted bygrowth if newobs==1
eststo: reg shenacted bygrowth if newobs==1
eststo: reg shtaxation bygrowth if newobs==1
eststo: reg shtaxationenacted bygrowth if newobs==1
eststo: reg shtaxall bygrowth if newobs==1
eststo: reg shtaxenacted bygrowth if newobs==1

*Export Table 2 in .tex*
esttab using "analysis/cong_activitivity_endogeneity/AppEnd.tex", label nocons nonotes replace
