function IR=impulseresponAR2_RR(A,tauu,prise,pcut)
global lu 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Unanticipated effects
% Plot cummulative Effects
cumefu=zeros(lu,1);
cumefu(1)=tauu(1);
cumefu(2)=tauu(1)*A(1)+tauu(2);
for i=3:lu
    cumefu(i)=tauu(i)+A(1)*cumefu(i-1)+A(2)*cumefu(i-2);
end
% Compute cummulated response to have the IRF on EA
IR.RR=cumsum(cumefu);

%%%% Media effects
IR.Medrise=flip(prise);
IR.Medcut=flip(pcut);
IR.Medrise=cumsum(IR.Medrise);
IR.Medcut=cumsum(IR.Medcut);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Tax Multiplier
efrise = [flip(prise)/2;cumefu];
efcut = [flip(pcut)/2;-1*cumefu];
IR.taxmrise = cumsum(efrise);
IR.taxmcut = cumsum(efcut);


end