function [ Ys ] = simu_data_easy(W_hats,H_hat,G_hat,F_hat,tax,filter)
%Generates Ys from matrices and observed and unobserved exogenous shocks
    % Spesifying global variables
    global n vfq captst pnk ;          
   
    beta00=zeros(1,pnk);                      % Matrix (18x1) of initial values of factors
    Ys=zeros(n,captst);
    Ys(:,1)=H_hat*(F_hat*beta00'+G_hat*tax(1,:)'+W_hats(1,:)'); %asuming the begining of time is beta0=0
    it=2;
    while it<=captst;
        Ys(:,it)= H_hat*(F_hat*filter(it-1,:)' +G_hat*tax(it,:)'+ W_hats(it,:)') ;
        it = it +1;
    end
    
    